Requires flash 8.0 or higher